Skip to main content
PUT
Update Contact
The PUT request is used to fully replace an existing entity with a new one based on the provided ID. This means:
  • All fields in the request body will overwrite the existing entity.
  • Any missing fields will be removed from the entity.
  • The request is idempotent, meaning multiple identical PUT requests will always result in the same final state.

Authorizations

X-API-Key
string
header
required

API Key for authentication

Path Parameters

customer_id
string
required

customer_id

contact_id
string
required

contact_id

Body

application/json

request

reference_id
string
Maximum string length: 255
Example:

"CUS123"

first_name
string
Maximum string length: 50
Example:

"John"

last_name
string
Maximum string length: 50
Example:

"Doe"

email
string
Example:

"john.doe@example.com"

phone
string

Phone number in E.164 format

Example:

"+14155552671"

designation
string
Maximum string length: 50
Example:

"Sales Manager"

is_default
boolean

When true, sets this as the primary contact. Omitted/false does not change the current primary contact.

attributes
object[]

Response

Created

data
object